package market.Slm.DeliveryManagement.vo;
import java.io.Serializable;
import java.util.Date;

import market.Slm.DeliveryManagement.mapper.SlmDeliveryPlanLineMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_DELIVERY_PLAN_LINE", namespace=SlmDeliveryPlanLineMapper.class)
public class SlmDeliveryPlanLine extends BaseVO implements Serializable {
	/**
	 * 	发运计划子信息表
	 */
	private static final long serialVersionUID = -4967927316850647076L;
	@Id
	//计划子编号
	private String line_no;

	@Column
	//计划编号
	private String plan_no;
	
	@Column
	//订单号
	private String order_no;
	
	@Column
	//合同头主键
	private String contract_pk;
	
	@Column
	//合同号
	private String contract_no;

	@Column
	//合同行号
	private String contract_line_no;

	@Column
	//合同行序号
	private String contract_line_seq;
	
	@Column
	//订单序号
	private String order_seq;

	@Column
	//产品规范码编号
	private String psc;

	@Column
	//产品规范码名称
	private String psc_desc;

	@Column
	//计划量
	private Double plan_quantity;

	@Column
	//计量单位编号（1003）
	private String plan_unit_no;

	@Column
	//计量单位名称
	private String plan_unit_name;

	@Column
	//计划重量
	private Double plan_weight;

	@Column
	//计量单位编号（1003）
	private String plan_weight_unit_no;

	@Column
	//计量单位名称
	private String plan_weight_unit_name;

	@Column
	//总长度(米)
	private Double plan_len;
	
	@Column
	//计重方式编号1023
	private String weight_type_no;
	
	@Column
	//计重方式名称
	private String weight_type_name;

	@Column
	//有效标志 0：无效；1：有效
	private String valid_flag;

	@Column
	//备注
	private String memo;

	@Column
	//创建人编号
	private String create_man_no;

	@Column
	//创建人姓名
	private String create_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;

	@Column
	//修改人编号
	private String update_man_no;

	@Column
	//修改人姓名
	private String update_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;

	@Column
	//删除人编号
	private String delete_man_no;

	@Column
	//删除人姓名
	private String delete_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;
	
	//已发重量
	private Double send_weight;
	
	//已发数量
	private Double send_count;
	
	//状态
	private String plan_status;

	public String getLine_no() {
		return line_no;
	}

	public void setLine_no(String lineNo) {
		line_no = lineNo;
	}

	public String getPlan_no() {
		return plan_no;
	}

	public void setPlan_no(String planNo) {
		plan_no = planNo;
	}

	public String getOrder_no() {
		return order_no;
	}

	public void setOrder_no(String orderNo) {
		order_no = orderNo;
	}

	public String getContract_pk() {
		return contract_pk;
	}

	public void setContract_pk(String contractPk) {
		contract_pk = contractPk;
	}

	public String getContract_no() {
		return contract_no;
	}

	public void setContract_no(String contractNo) {
		contract_no = contractNo;
	}

	public String getContract_line_no() {
		return contract_line_no;
	}

	public void setContract_line_no(String contractLineNo) {
		contract_line_no = contractLineNo;
	}

	public String getContract_line_seq() {
		return contract_line_seq;
	}

	public void setContract_line_seq(String contractLineSeq) {
		contract_line_seq = contractLineSeq;
	}

	public String getOrder_seq() {
		return order_seq;
	}

	public void setOrder_seq(String orderSeq) {
		order_seq = orderSeq;
	}

	public String getPsc() {
		return psc;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public String getPsc_desc() {
		return psc_desc;
	}

	public void setPsc_desc(String pscDesc) {
		psc_desc = pscDesc;
	}

	public Double getPlan_quantity() {
		return plan_quantity;
	}

	public void setPlan_quantity(Double planQuantity) {
		plan_quantity = planQuantity;
	}

	public String getPlan_unit_no() {
		return plan_unit_no;
	}

	public void setPlan_unit_no(String planUnitNo) {
		plan_unit_no = planUnitNo;
	}

	public String getPlan_unit_name() {
		return plan_unit_name;
	}

	public void setPlan_unit_name(String planUnitName) {
		plan_unit_name = planUnitName;
	}

	public Double getPlan_weight() {
		return plan_weight;
	}

	public void setPlan_weight(Double planWeight) {
		plan_weight = planWeight;
	}

	public String getPlan_weight_unit_no() {
		return plan_weight_unit_no;
	}

	public void setPlan_weight_unit_no(String planWeightUnitNo) {
		plan_weight_unit_no = planWeightUnitNo;
	}

	public String getPlan_weight_unit_name() {
		return plan_weight_unit_name;
	}

	public void setPlan_weight_unit_name(String planWeightUnitName) {
		plan_weight_unit_name = planWeightUnitName;
	}

	public Double getPlan_len() {
		return plan_len;
	}

	public void setPlan_len(Double planLen) {
		plan_len = planLen;
	}

	public String getWeight_type_no() {
		return weight_type_no;
	}

	public void setWeight_type_no(String weightTypeNo) {
		weight_type_no = weightTypeNo;
	}

	public String getWeight_type_name() {
		return weight_type_name;
	}

	public void setWeight_type_name(String weightTypeName) {
		weight_type_name = weightTypeName;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String validFlag) {
		valid_flag = validFlag;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String createManNo) {
		create_man_no = createManNo;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String createManName) {
		create_man_name = createManName;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date createTime) {
		create_time = createTime;
	}

	public String getUpdate_man_no() {
		return update_man_no;
	}

	public void setUpdate_man_no(String updateManNo) {
		update_man_no = updateManNo;
	}

	public String getUpdate_man_name() {
		return update_man_name;
	}

	public void setUpdate_man_name(String updateManName) {
		update_man_name = updateManName;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date updateTime) {
		update_time = updateTime;
	}

	public String getDelete_man_no() {
		return delete_man_no;
	}

	public void setDelete_man_no(String deleteManNo) {
		delete_man_no = deleteManNo;
	}

	public String getDelete_man_name() {
		return delete_man_name;
	}

	public void setDelete_man_name(String deleteManName) {
		delete_man_name = deleteManName;
	}

	public Date getDelete_time() {
		return delete_time;
	}

	public void setDelete_time(Date deleteTime) {
		delete_time = deleteTime;
	}

	public Double getSend_weight() {
		return send_weight;
	}

	public void setSend_weight(Double sendWeight) {
		send_weight = sendWeight;
	}

	public Double getSend_count() {
		return send_count;
	}

	public void setSend_count(Double sendCount) {
		send_count = sendCount;
	}

	public String getPlan_status() {
		return plan_status;
	}

	public void setPlan_status(String plan_status) {
		this.plan_status = plan_status;
	}
	
}
